Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.menu
Class OWLMenuProjectPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractPlugin
          edu.stanford.smi.protege.plugin.AbstractProjectPlugin
              edu.stanford.smi.protege.plugin.ProjectPluginAdapter
                  edu.stanford.smi.protegex.owl.ui.menu.OWLMenuProjectPlugin

All Implemented Interfaces:
  edu.stanford.smi.protege.plugin.Plugin, edu.stanford.smi.protege.plugin.ProjectPlugin, edu.stanford.smi.protege.util.Disposable

    public class OWLMenuProjectPlugin

extends edu.stanford.smi.protege.plugin.ProjectPluginAdapter

A ProjectPlugin that makes a couple of initializing adjustments to the main menu, tool bar etc, after a project has been loaded.

Author:
  Holger Knublauch

Field Summary
`static String` | `MENU_NAME`
`static String` | `PROSE_PROPERTY`

Constructor Summary
`OWLMenuProjectPlugin()`

Method Summary
`void` | `afterCreate(edu.stanford.smi.protege.model.Project p)`
`void` | `afterLoad(edu.stanford.smi.protege.model.Project project)`
`void` | `afterSave(edu.stanford.smi.protege.model.Project p)`
`void` | `afterShow(edu.stanford.smi.protege.ui.ProjectView view, edu.stanford.smi.protege.ui.ProjectToolBar toolBar, edu.stanford.smi.protege.ui.ProjectMenuBar menuBar)`
`void` | `beforeHide(edu.stanford.smi.protege.ui.ProjectView view, edu.stanford.smi.protege.ui.ProjectToolBar toolBar, edu.stanford.smi.protege.ui.ProjectMenuBar menuBar)`
`void` | `beforeSave(edu.stanford.smi.protege.model.Project p)`
`boolean` | `isProseActivated()`
`static void` | `makeHiddenClsesWithSubclassesVisible(OWLModel owlModel)`
`static void` | `prepareWidgetsForSave(OWLModel owlModel)` Should be called prior to saving a Project in order to remove widgets from the file.
`static void` | `restoreWidgetsAfterSave(OWLModel owlModel)`

Methods inherited from class edu.stanford.smi.protege.plugin.ProjectPluginAdapter
`beforeClose`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractPlugin
`dispose, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Field Detail

### PROSE_PROPERTY

    public static final String PROSE_PROPERTY

See Also:
  Constant Field Values

### MENU_NAME

    public static final String MENU_NAME

See Also:
  Constant Field Values

Constructor Detail

### OWLMenuProjectPlugin

    public OWLMenuProjectPlugin()

Method Detail

### afterCreate

    public void afterCreate(edu.stanford.smi.protege.model.Project p)

  Specified by:
    `afterCreate` in interface `edu.stanford.smi.protege.plugin.ProjectPlugin`
  Overrides:
    `afterCreate` in class `edu.stanford.smi.protege.plugin.ProjectPluginAdapter`

### afterLoad

    public void afterLoad(edu.stanford.smi.protege.model.Project project)

  Specified by:
    `afterLoad` in interface `edu.stanford.smi.protege.plugin.ProjectPlugin`
  Overrides:
    `afterLoad` in class `edu.stanford.smi.protege.plugin.ProjectPluginAdapter`

### afterSave

    public void afterSave(edu.stanford.smi.protege.model.Project p)

  Specified by:
    `afterSave` in interface `edu.stanford.smi.protege.plugin.ProjectPlugin`
  Overrides:
    `afterSave` in class `edu.stanford.smi.protege.plugin.ProjectPluginAdapter`

### afterShow

    public void afterShow(edu.stanford.smi.protege.ui.ProjectView view,
                          edu.stanford.smi.protege.ui.ProjectToolBar toolBar,
                          edu.stanford.smi.protege.ui.ProjectMenuBar menuBar)

  Specified by:
    `afterShow` in interface `edu.stanford.smi.protege.plugin.ProjectPlugin`
  Overrides:
    `afterShow` in class `edu.stanford.smi.protege.plugin.ProjectPluginAdapter`

### beforeHide

    public void beforeHide(edu.stanford.smi.protege.ui.ProjectView view,
                           edu.stanford.smi.protege.ui.ProjectToolBar toolBar,
                           edu.stanford.smi.protege.ui.ProjectMenuBar menuBar)

  Specified by:
    `beforeHide` in interface `edu.stanford.smi.protege.plugin.ProjectPlugin`
  Overrides:
    `beforeHide` in class `edu.stanford.smi.protege.plugin.ProjectPluginAdapter`

### beforeSave

    public void beforeSave(edu.stanford.smi.protege.model.Project p)

  Specified by:
    `beforeSave` in interface `edu.stanford.smi.protege.plugin.ProjectPlugin`
  Overrides:
    `beforeSave` in class `edu.stanford.smi.protege.plugin.ProjectPluginAdapter`

### isProseActivated

    public boolean isProseActivated()

### makeHiddenClsesWithSubclassesVisible

    public static void makeHiddenClsesWithSubclassesVisible(OWLModel owlModel)

### prepareWidgetsForSave

    public static void prepareWidgetsForSave(OWLModel owlModel)

  Should be called prior to saving a Project in order to remove widgets from the file. This call must be followed by `restoreWidgetsAfterSave()` after save completed.

  Parameters:
    `owlModel` - the OWLModel to adjust

### restoreWidgetsAfterSave

    public static void restoreWidgetsAfterSave(OWLModel owlModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.